<?php

namespace Blog\DB;

use Blog\Model\Blog as BlogModel;

class Blog extends DB
{
    public function createBlog(BlogModel $data)
    {
        $this->enableExceptions(false);
        $stmt = $this->prepare("INSERT INTO blogs (slug, title, content) VALUES (:slug, :title, :content)");
        $stmt->bindValue(':slug', $data['slug'], SQLITE3_TEXT);
        $stmt->bindValue(':title', $data['title'], SQLITE3_TEXT);
        $stmt->bindValue(':content', $data['content'], SQLITE3_TEXT);
        $res = $stmt->execute();
        return $res;
    }

    public function getBlog($slug)
    {
        $sql = "SELECT * FROM blogs WHERE slug = :slug ;";
        $stmt = $this->prepare($sql);
        $stmt->bindValue(':slug', $slug, SQLITE3_TEXT);
        $res = $stmt->execute();
        return $res;
    }

    public function getBlogs()
    {
        $sql = "SELECT * FROM blogs";
        $stmt = $this->prepare($sql);
        $res = $stmt->execute();
        return $res;
    }
}
